@echo off

cd \arlo\app
nmake -f \arlo\app\arlo.marm clean
nmake -f \arlo\app\arlo.marm

cd \arlo\ldd
nmake -f \arlo\ldd\arlo.marm clean
nmake -f \arlo\ldd\arlo.marm

cd \arlo

SET ARLO_LDD=\epoc32\release\marm\rel\arlo.ldd
SET ARLO_EXE=\epoc32\release\marm\rel\arlo.exe
SET README_TXT=\arlo\readme.txt
SET ARLO_CFG=\arlo\arlo.cfg

if not exist %ARLO_LDD% echo ERROR: %ARLO_LDD% does not exist
if not exist %ARLO_EXE% echo ERROR: %ARLO_EXE% does not exist
if not exist %README_TXT% echo ERROR: %README_TXT% does not exist
if not exist %ARLO_CFG% echo ERROR: %ARLO_CFG% does not exist

if exist \arlo.zip del /F \arlo.zip > nul
if exist \arlosrc.zip del /F \arlosrc.zip > nul

"f:\program files\winzip\wzzip" \arlo.zip %ARLO_LDD% %ARLO_EXE% %README_TXT% %ARLO_CFG%
"f:\program files\winzip\wzzip" \arlosrc.zip -P \arlo\*.* \arlo\app\*.cpp \arlo\app\*.h \arlo\app\*.mmp \arlo\ldd\*.cpp \arlo\ldd\*.h \arlo\ldd\*.mmp

